Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fujitsu.iflow.common
Class BpmProperties

    java.lang.Object
      java.util.Dictionary
          java.util.Hashtable
              java.util.Properties
                  com.fujitsu.iflow.common.BpmProperties

All Implemented Interfaces:
  java.lang.Cloneable, java.util.Map, java.io.Serializable

public class BpmProperties
extends java.util.Properties

I-BPM property. The purpose of this class appears to give a "property" object with keys that are checked with "ignore case". It does so in an inefficient fashion by iterating through all the keys and seeing if there is a key that matches with "ignore case". This iterating through all the keys is done everytime you put a value in, and every time you get a null value out. If a value already exists for a key, then the "put" operation has no effect. As a side effect, there is no way to update an existing value. This semantic seems wierd. I can only GUESS at the original need, but if what is needed is a "case independent properties object" the a far better way to do this is to simple lowercase every key as it comes in. The value is always stored with a lowercase key, and retrieved with a lower case key. This is far faster and does not change the other semantics of a property object. -kds

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.Properties
`defaults`

Constructor Summary
`BpmProperties()`
`BpmProperties(java.util.Properties defaults)`

Method Summary
`static java.lang.String` | `convertEscapeSequence(java.lang.String convertString)`
`java.lang.String` | `getProperty(java.lang.String key)`
`java.lang.Object` | `put(java.lang.Object key, java.lang.Object value)`
`static java.util.ArrayList` | `verifyPropertiesFile(java.lang.String fileName, java.util.ArrayList UnrecognizedParms, java.util.ArrayList ObsoleteParms)`

Methods inherited from class java.util.Properties
`getProperty, list, list, load, propertyNames, save, setProperty, store`

Methods inherited from class java.util.Hashtable
`clear, clone, contains, containsKey, containsValue, elements, entrySet, equals, get, hashCode, isEmpty, keys, keySet, putAll, rehash, remove, size, toString, values`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BpmProperties

    public BpmProperties()

### BpmProperties

    public BpmProperties(java.util.Properties defaults)

Method Detail

### getProperty

    public java.lang.String getProperty(java.lang.String key)

### put

    public java.lang.Object put(java.lang.Object key,
                                java.lang.Object value)

### convertEscapeSequence

    public static java.lang.String convertEscapeSequence(java.lang.String convertString)

### verifyPropertiesFile

    public static java.util.ArrayList verifyPropertiesFile(java.lang.String fileName,
                                                           java.util.ArrayList UnrecognizedParms,
                                                           java.util.ArrayList ObsoleteParms)
                                                    throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD